update avahi to 0.6.17, fix dependencies on libexpat & libpthread, remove "enable...
authorNicolas Thill <nico@openwrt.org>
Fri, 30 Mar 2007 07:29:06 +0000 (07:29 +0000)
committerNicolas Thill <nico@openwrt.org>
Fri, 30 Mar 2007 07:29:06 +0000 (07:29 +0000)
SVN-Revision: 6762

libs/avahi/Makefile
libs/avahi/files/avahi-daemon.conf

index 0ad165a..02d9cce 100644 (file)
@@ -9,12 +9,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=avahi
-PKG_VERSION:=0.6.16
+PKG_VERSION:=0.6.17
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=http://avahi.org/download/
-PKG_MD5SUM:=3cbc460bbd55bae35f7b57443c063640
+PKG_MD5SUM:=29ebb2181958d5721ee5fc45f035a77c
 PKG_CAT:=zcat
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
@@ -43,7 +43,7 @@ define Package/libavahi
   $(call Package/avahi/Default)
   SECTION:=libs
   CATEGORY:=Libraries
-  DEPENDS:=+libdaemon
+  DEPENDS:=+libdaemon +libpthread
   TITLE+= (library)
   DESCRIPTION+=\\\
        \\\
@@ -66,7 +66,7 @@ endef
 
 define Package/avahi-daemon
   $(call Package/avahi/Default)
-  DEPENDS:=+libavahi
+  DEPENDS:=+libavahi +libexpat
   TITLE+= (daemon)
   DESCRIPTION+=\\\
        \\\
index a5ff886..cf13856 100644 (file)
@@ -5,7 +5,6 @@ use-ipv4=yes
 use-ipv6=no
 check-response-ttl=no
 use-iff-running=no
-enable-dbus=no
 
 [publish]
 publish-addresses=yes